Bug 2150 - shmget: use POSIX definitions instead of non-standard SHM_
shmget: use POSIX definitions instead of non-standard SHM_
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.9
All NetBSD
: P3 normal
: none
Assigned To: Tim Potter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-13 02:31 UTC by Luke Mewburn
Modified: 2005-08-24 10:24 UTC (History)
0 users

See Also:


Attachments
posix-ipc.patch (1.49 KB, patch)
2004-12-13 02:32 UTC, Luke Mewburn
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke Mewburn 2004-12-13 02:31:44 UTC
Samba uses SHM_R and SHM_W instead of the POSIX mode bit definitions S_IRUSR and
S_IWUSR when calling shmget(3).

There are compat defines for the former in include/includes.h, but it's arguably
cleaner just to use the POSIX defs.

I'll provide the (trivial) patch.
Comment 1 Luke Mewburn 2004-12-13 02:32:13 UTC
Created attachment 838 [details]
posix-ipc.patch
Comment 2 Tim Potter 2004-12-18 17:09:09 UTC
Applied - thanks dude.

I thought shared memory wasn't used anymore in Samba but I was obviously mistaken!
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:24:13 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.